<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <title>Document</title>
    </head>
    <body>
        <header>
            <nav>
                {% if user.is_authenticated %}
                    Hello, {{ user.username }}
                    <ul>
                        <li>
                            <a href="{% url 'show_my_tasks' %}">My Tasks</a>
                        </li>
                        <li>
                            <a href="{% url 'list_projects' %}">My Projects</a>
                        </li>
                        <li>
                            <a href="{% url 'logout' %}">Logout</a>
                        </li>
                    </ul>
                {% else %}
                    <ul>
                        <li>
                            <a href="{% url 'login' %}">Login!</a>
                        </li>
                        <li>
                            <a href="{% url 'signup' %}">Sign Up!</a>
                        </li>
                    </ul>
                {% endif %}
            </nav>
        </header>
        <main>
            <div>
                <h1>My Projects</h1>
                <a href="{% url 'create_project' %}">Create a new project</a>
                {% if not list_projects %}
                    <p>You are not assigned to any projects</p>
                {% else %}
                    <table>
                        <thead>
                            <tr>
                                <th>Name</th>
                                <th>Number of tasks</th>
                            </tr>
                        </thead>
                        <tbody>
                            {% for project in list_projects %}
                                <tr>
                                    <td>
                                        <a href="{% url 'show_project' project.id %}">{{ project.name }}</a>
                                    </td>
                                    <td>{{ project.tasks.all|length }}</td>
                                </tr>
                            {% endfor %}
                        </tbody>
                    </table>
                {% endif %}
            </div>
        </main>
    </body>
</html>
